"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFunctionFormCurrentValue = void 0;
const transform_error_1 = require("@wix/sdk-runtime/transform-error");
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const ambassadorWixFunctionsV1FunctionFormCurrentValue = __importStar(require("./functions-v1-function-form-current-value-function-form-current-values.http.js"));
/**
 * Retrieves FunctionFormCurrentValue by the provided function id
 * @param functionId - Function form current value id, matching the function id
 * @internal
 * @documentationMaturity preview
 * @requiredField functionId
 * @permissionId FUNCTIONS.FUNCTION_FORM_CURRENT_VALUE_READ
 * @returns The returned Function form current value
 * @fqn wix.functions.formcurrentvalues.v1.FunctionFormCurrentValues.GetFunctionFormCurrentValue
 */
async function getFunctionFormCurrentValue(functionId) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        functionId: functionId,
    });
    const reqOpts = ambassadorWixFunctionsV1FunctionFormCurrentValue.getFunctionFormCurrentValue(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data)
            ?.functionFormCurrentValue;
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { functionId: '$[0]' },
            singleArgumentUnchanged: false,
        }, ['functionId']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.getFunctionFormCurrentValue = getFunctionFormCurrentValue;
//# sourceMappingURL=functions-v1-function-form-current-value-function-form-current-values.universal.js.map