export interface FunctionFormCurrentValue {
    /**
     * Id, matching the id of the function
     * @readonly
     */
    id?: string | null;
    /**
     * The form value of the function
     * @readonly
     */
    formValue?: Record<string, any> | null;
}
export interface GetFunctionFormCurrentValueRequest {
    /** Function form current value id, matching the function id */
    functionId: string;
}
export interface GetFunctionFormCurrentValueResponse {
    /** The returned Function form current value */
    functionFormCurrentValue?: FunctionFormCurrentValue;
}
