export interface FunctionFormCurrentValue {
    /**
     * Id, matching the id of the function
     * @readonly
     */
    _id?: string | null;
    /**
     * The form value of the function
     * @readonly
     */
    formValue?: Record<string, any> | null;
}
export interface GetFunctionFormCurrentValueRequest {
    /** Function form current value id, matching the function id */
    functionId: string;
}
export interface GetFunctionFormCurrentValueResponse {
    /** The returned Function form current value */
    functionFormCurrentValue?: FunctionFormCurrentValue;
}
/**
 * Retrieves FunctionFormCurrentValue by the provided function id
 * @param functionId - Function form current value id, matching the function id
 * @internal
 * @documentationMaturity preview
 * @requiredField functionId
 * @permissionId FUNCTIONS.FUNCTION_FORM_CURRENT_VALUE_READ
 * @returns The returned Function form current value
 * @fqn wix.functions.formcurrentvalues.v1.FunctionFormCurrentValues.GetFunctionFormCurrentValue
 */
export declare function getFunctionFormCurrentValue(functionId: string): Promise<FunctionFormCurrentValue>;
